package net.pharmatrak.babelj.test;

import java.awt.*;

/**
 * <blockquote><i>
 * Babelj is a language server library for Java.
 * Copyright (C) 1999  Pharmatrak
 * <p>
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * <p>
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 * <p>
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 * <p>
 * </i></blockquote>
 *
 * @author  Timothy W Macinta (twm@alum.mit.edu)
 **/

public class SimpleFrame {

  public static void main(String[] arg) {
    try {
      String title = "Simple frame";
      if (arg.length > 0) title = arg[0];
      
      // Local equivalent of the code below

      /*
      Frame f = new Frame(title);
      Dimension d = new Dimension(400, 200);
      f.setSize(d);
      Button b = new Button("Hello world!");
      f.add(b);
      f.show();
      */

      // Using the client

      BabeljJavaClient client = new BabeljJavaClient();
      client.connect();
      Object[] oa = {"Hello world!"};
      Object[] ot = {"string"};
      Object f = client.newInstanceCall("java.awt.Frame", oa, ot);
      Object[] oa2 = {new Integer(400), new Integer(200)};
      Object[] ot2 = {"int", "int"};
      Object d = client.newInstanceCall("java.awt.Dimension", oa2, ot2);
      oa[0] = d;
      ot[0] = "ref";
      client.methodCall(f, "setSize", oa, ot);
      oa[0] = "java.awt.Button";
      ot[0] = "string";
      Object b = client.newInstanceCall("java.awt.Button", oa, ot);
      oa[0] = b;
      ot[0] = "ref";
      client.methodCall(f, "add", oa, ot);
      client.methodCall(f, "show", new Object[0], new Object[0]);
      client.disconnect();
      
    } catch (Exception e) {
      e.printStackTrace();
    }
  }

}
