package net.pharmatrak.babelj.test;

/**
 * <blockquote><i>
 * Babelj is a language server library for Java.
 * Copyright (C) 1999  Pharmatrak
 * <p>
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * <p>
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 * <p>
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 * <p>
 * </i></blockquote>
 *
 * This class provides tests for at least all of the
 * commands which aren't covered in other tests in
 * this package.
 *
 * @author  Timothy W Macinta (twm@alum.mit.edu)
 **/

public class TestCommands {

  public static void main(String[] arg) {
    try {
      BabeljJavaClient client = new BabeljJavaClient();
      client.connect();

      // test static method call

      Object[] oa = {"www.yahoo.com"};
      Object[] ot = {"string"};
      Object localhost = client.staticMethodCall("java.net.InetAddress", "getByName", oa, ot);
      System.out.println(client.methodCall(localhost, "getHostAddress", new Object[0]));

      // test get field

      Object[] oa2 = {"123", "456"};
      Object[] ot2 = {"int", "int"};
      Object d = client.newInstanceCall("java.awt.Dimension", oa2, ot2);
      System.out.print(client.getField(d, "width")+" ");
      System.out.println(client.getField(d, "height"));

      // test new instance with empty constructor list

      d = client.newInstanceCall("java.util.Date", new Object[0]);
      System.out.println(client.methodCall(d, "toString", new Object[0]));

      client.disconnect();

    } catch (Exception e) {
      e.printStackTrace();
    }
  }

}
